AbstractCreateAction (Struts 1.3.10 API)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts.chain.commands
Class AbstractCreateAction

    java.lang.Object
      org.apache.struts.chain.commands.ActionCommandBase
          org.apache.struts.chain.commands.AbstractCreateAction

All Implemented Interfaces:
  org.apache.commons.chain.Command, ActionCommand

Direct Known Subclasses:
  CreateAction

    public abstract class AbstractCreateAction

extends ActionCommandBase

Create (if necessary) and cache an `Action` for this request.

Version:
  $Rev: 525705 $ $Date: 2005-11-12 13:01:44 -0500 (Sat, 12 Nov 2005) $

Field Summary

Fields inherited from interface org.apache.commons.chain.Command
`CONTINUE_PROCESSING, PROCESSING_COMPLETE`

Constructor Summary
`AbstractCreateAction()`

Method Summary
`boolean` | `execute(ActionContext actionCtx)` Create (if necessary) and cache an `Action` for this request.
`protected abstract Action` | `getAction(ActionContext context, String type, ActionConfig actionConfig)` Create and return the appropriate `Action` class for the given `type` and `actionConfig`.

Methods inherited from class org.apache.struts.chain.commands.ActionCommandBase
`execute`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractCreateAction

    public AbstractCreateAction()

Method Detail

### execute

    public boolean execute(ActionContext actionCtx)
                    throws Exception

  Create (if necessary) and cache an `Action` for this request.

  Specified by:
    `execute` in interface `ActionCommand`
  Specified by:
    `execute` in class `ActionCommandBase`
  Parameters:
    `actionCtx` - The `Context` for the current request
  Returns:
    `false` so that processing continues
  Throws:
    `Exception` - if there are any problems instantiating the Action class.

### getAction

    protected abstract Action getAction(ActionContext context,
                                        String type,
                                        ActionConfig actionConfig)
                                 throws Exception

  Create and return the appropriate `Action` class for the given `type` and `actionConfig`.

  NOTE: The dependence on ActionServlet suggests that this should be broken up along the lines of the other Abstract/concrete pairs in the org.apache.struts.chain.commands package.

  Parameters:
    `context` - The `Context` for this request
    `type` - Name of class to instantiate
    `actionConfig` - The `ActionConfig` for this request
  Returns:
    Instantiated Action class
  Throws:
    `Exception` - if there are any problems instantiating the Action class.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.